<bugID>549192<Summary>History view not updated after deleting entry</Summary><Description>Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a2pre) Gecko/20100227 Minefield/3.7a2pre ID:20100227031019

After deleting a history entry, the view is not updated and the deleted entry is still visible. This affects the history sidebar (when set to "View By Last Visited") and the Places Library window. Closing and reopening the view shows the correct list of entries. Tested with new profile, no extensions.

Steps to reproduce:

1. go to http://www.mozilla.org/
2. go to http://planet.mozilla.org/
3. go to https://wiki.mozilla.org/
4. open places library window, select History &gt; Today
5. delete entry for planet.mozilla.org (via context menu or delete key)

Expected behaviour:
history entry disappears from list

Actual behaviour:
view is not updated, entry remains visible

Regression range:

firefox-3.7a2pre-2010-02-25-03: works
firefox-3.7a2pre-2010-02-26-03: fails

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=c390c6f279ee&amp;tochange=475768f37b1a

mano: Could this be a regression from bug 520659?</Description></bugID>